@import "src/@fuse/scss/fuse";

fuse-sidebar {

    &.folded:not(.unfolded) {

        .navbar-vertical {

            .navbar-header {
                padding: 0 13px;

                .logo {

                    .logo-text {
                        opacity: 0;
                        transition: opacity 200ms ease;
                    }
                }
            }
        }
    }
}

navbar {

    &:not(.top-navbar) {
        height: 100%;
        overflow: hidden;
    }

    .navbar-vertical {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;

        .navbar-header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            height: 64px;
            min-height: 64px;
            padding: 0 16px 0 24px;
            transition: padding 200ms ease;
            background-color: rgba(255, 255, 255, .05);
            @include mat-elevation(1);

            .logo {
                display: flex;
                align-items: center;
                

                .logo-icon {
                    width: 38px;
                    height: 38px;
                }

                .logo-text {
                    margin-left: 8px;
                    font-size: 20px;
                    font-weight: 300;
                    letter-spacing: 0.4px;
                }
            }
        }

        .navbar-content {
            flex: 1 1 auto;
            overflow-y: auto;
        }
    }

    &.right-navbar {

        .toggle-sidebar-opened {

            mat-icon {
                transform: rotate(180deg);
            }
        }
    }
}
